def html_start(title,css):
	rendered = '''Content-Type: text/html\n\n
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11DTD/xhtml11.dtd">\n
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="sv">\n
	<head>\n
	<title>%s</title>\n
	<link rel="stylesheet" type="text/css" href="%s" title="layout" />\n
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />\n
	</head>\n<body>\n'''
	return rendered %(title,css)

def html_end():
	rendered = "</body>\n</html>\n"
	return rendered

def title(text):
	rendered = '''<div id="container">\n<div id="title">\n<b>%s</b>\n</div>\n</div>\n'''
	text = text.replace('\n','<br />')
	return rendered % text

def element(text,title=""):
	rendered = '''<div class="post-container">
	<p class="heading"><b>%s</b></p>\n
	<p class="normal">%s
	</p>\n
	</div>\n'''
	text = text.replace('\n','<br />')
	return rendered %(title,text)

def footer(text):
	rendered = '''<div id="footer">\n
	<p class="normal">\n
	%s
	</p>\n
	</div>\n'''
	text = text.replace('\n','<br />')
	return rendered % text
